Skip to main content
GET
/
insights
/
billings
/
by-customer
Get billings breakdown by customer
curl --request GET \
  --url https://api.alguna.io/insights/billings/by-customer \
  --header 'Alguna-Version: <alguna-version>' \
  --header 'Authorization: Bearer <token>'
{
  "currency": "USD",
  "other_customers_net_billings_previous_period": "22000.00",
  "other_customers_net_billings_this_period": "25000.00",
  "top_customers": [
    {
      "comparison_amount": "45000.00",
      "customer_id": "acct_abc123",
      "customer_name": "Acme Corp",
      "primary_amount": "50000.00",
      "customer_icon_url": "https://example.com/icon.png"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://alguna.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

API key authentication. Pass your API key as a Bearer token.

Headers

Alguna-Version
enum<string>
required
Available options:
2026-04-01

Query Parameters

date_range
enum<string>
required

Time period for the query. Determines the primary period and automatically calculates a comparison period.

Available options:
this_month,
last_month,
two_months_ago,
this_quarter,
last_quarter,
two_quarters_ago,
this_year,
last_year,
last_twelve_months,
all_time
Example:

"this_month"

Response

Success

currency
string
required

ISO 4217 currency code

Example:

"USD"

other_customers_net_billings_previous_period
string
required

Aggregated billings from remaining customers for the comparison period

Example:

"22000.00"

other_customers_net_billings_this_period
string
required

Aggregated billings from remaining customers for the selected period

Example:

"25000.00"

top_customers
object[]
required

Top customers by billings